## ros-rolling-rclcpp-components 15.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp_components)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(
    -Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual
    -Wformat=2 -Wconversion -Wshadow -Wsign-conversion -Wold-style-cast -Wcast-qual
  )
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(class_loader REQUIRED)
find_package(composition_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)

# Add an interface library that can be dependend upon by libraries who register components
add_library(component INTERFACE)
target_include_directories(component INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
target_link_libraries(component INTERFACE
  class_loader::class_loader
  rclcpp::rclcpp)

add_library(
  component_manager
  SHARED
  src/component_manager.cpp
)
target_include_directories(component_manager PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
ament_target_dependencies(component_manager
  "ament_index_cpp"
  "class_loader"
  "composition_interfaces"
  "rclcpp"
  "rcpputils"
)
target_compile_definitions(component_manager
  PRIVATE "RCLCPP_COMPONENTS_BUILDING_LIBRARY")

add_executable(
  component_container
  src/component_container.cpp
)
target_link_libraries(component_container component_manager)
ament_target_dependencies(component_container
  "rclcpp"
)

set(node_main_template_install_dir "share/${PROJECT_NAME}")
install(FILES
  src/node_main.cpp.in
  DESTINATION ${node_main_template_install_dir})

add_executable(
  component_container_mt
  src/component_container_mt.cpp
)
target_link_libraries(component_container_mt component_manager)
ament_target_dependencies(component_container_mt
  "rclcpp"
)

add_executable(
  component_container_isolated
  src/component_container_isolated.cpp
)
target_link_libraries(component_container_isolated component_manager)
ament_target_dependencies(component_container_isolated
  "rclcpp"
)


if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  target_link_libraries(component_container "stdc++fs")
  target_link_libraries(component_container_mt "stdc++fs")
  target_link_libraries(component_container_isolated "stdc++fs")
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_google_benchmark REQUIRED)
  find_package(benchmark REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS benchmark::benchmark INTERFACE_INCLUDE_DIRECTORIES)
  ament_lint_auto_find_test_dependencies()

  set(components "")
  add_library(test_component SHARED test/components/test_component.cpp)
  target_link_libraries(test_component PRIVATE component)
  #rclcpp_components_register_nodes(test_component "test_rclcpp_components::TestComponent")
  set(components "${components}test_rclcpp_components::TestComponentFoo;$<TARGET_FILE:test_component>\n")
  set(components "${components}test_rclcpp_components::TestComponentBar;$<TARGET_FILE:test_component>\n")
  set(components "${components}test_rclcpp_components::TestComponentNoNode;$<TARGET_FILE:test_component>\n")

  # A properly formed resource only has one ';', this is used to catch an invalid resource entry
  set(invalid_components "test_rclcpp_components::TestComponentFoo;;$<TARGET_FILE:test_component>\n")

  file(GENERATE
    OUTPUT
    "${CMAKE_CURRENT_BINARY_DIR}/test_ament_index/$<CONFIG>/share/ament_index/resource_index/rclcpp_components/${PROJECT_NAME}"
    CONTENT "${components}")

  file(GENERATE
    OUTPUT
    "${CMAKE_CURRENT_BINARY_DIR}/test_ament_index/$<CONFIG>/share/ament_index/resource_index/rclcpp_components/invalid_${PROJECT_NAME}"
    CONTENT "${invalid_components}")

  set(append_library_dirs "${CMAKE_CURRENT_BINARY_DIR}")
  if(WIN32)
    set(append_library_dirs "${append_library_dirs}/$<CONFIG>")
  endif()

  ament_add_gtest(test_component_manager test/test_component_manager.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_CURRENT_BINARY_DIR}/test_ament_index/$<CONFIG>
    APPEND_LIBRARY_DIRS "${append_library_dirs}")
  if(TARGET test_component_manager)
    target_link_libraries(test_component_manager component_manager)
  endif()

  ament_add_gtest(test_component_manager_api test/test_component_manager_api.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_CURRENT_BINARY_DIR}/test_ament_index/$<CONFIG>
    APPEND_LIBRARY_DIRS "${append_library_dirs}")
  if(TARGET test_component_manager_api)
    target_link_libraries(test_component_manager_api component_manager)
  endif()

  ament_add_google_benchmark(benchmark_components
    test/benchmark/benchmark_components.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_CURRENT_BINARY_DIR}/test_ament_index/$<CONFIG>
    APPEND_LIBRARY_DIRS "${append_library_dirs}")
  if(TARGET benchmark_components)
    target_link_libraries(benchmark_components component_manager)
  endif()
endif()

install(
  TARGETS component component_manager EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install executables
install(
  TARGETS component_container component_container_mt component_container_isolated
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

# Install include directories
install(
  DIRECTORY include/
  DESTINATION include
)

# Install cmake
install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(component_manager)
ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(ament_index_cpp)
ament_export_dependencies(class_loader)
ament_export_dependencies(composition_interfaces)
ament_export_dependencies(rclcpp)
ament_package(CONFIG_EXTRAS rclcpp_components-extras.cmake.in)

=== debian/changelog ===
ros-rolling-rclcpp-components (15.0.0-1focal) focal; urgency=high

  * Add rclcpp_components::component (#1855 <https://github.com/ros2/rclcpp/issues/1855>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.0.0-1focal) focal; urgency=high

  * Add parameter to configure number of thread (#1708 <https://github.com/ros2/rclcpp/issues/1708>)
  * remove RCLCPP_COMPONENTS_PUBLIC in class ComponentManagerIsolated (#1843 <https://github.com/ros2/rclcpp/issues/1843>)
  * create component_container_isolated (#1781 <https://github.com/ros2/rclcpp/issues/1781>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Jacob Perron, gezp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp-components (13.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp-components (13.0.0-1focal) focal; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-rclcpp-components (12.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.2.0-1focal) focal; urgency=high

  * Deprecate method names that use CamelCase in rclcpp_components. (#1716 <https://github.com/ros2/rclcpp/issues/1716>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.1.0-1focal) focal; urgency=high

  * Added a hook to generate node options in ComponentManager (#1702 <https://github.com/ros2/rclcpp/issues/1702>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (10.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (6.3.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.3.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.2.0-1focal) focal; urgency=high

  * Use std compliant non-method std::filesystem::exists function (#1502 <https://github.com/ros2/rclcpp/issues/1502>)
  * Fix string literal warnings (#1442 <https://github.com/ros2/rclcpp/issues/1442>)
  * Contributors: Audrow Nash, Josh Langsfeld

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.1.0-1focal) focal; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Add benchmarks for components (#1476 <https://github.com/ros2/rclcpp/issues/1476>)
  * Contributors: Scott K Logan, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rclcpp-components (6.0.0-1focal) focal; urgency=high

  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Contributors: Louise Poubel

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.1.0-1focal) focal; urgency=high

  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * ComponentManager: switch off parameter services and event publisher (#1333 <https://github.com/ros2/rclcpp/issues/1333>)
  * Contributors: Ivan Santiago Paunovic, Martijn Buijs

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.0.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-rclcpp-components
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-google-benchmark, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-launch-testing, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-components
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Package containing tools for dynamically loadable components

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rclcpp-components//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rclcpp-components 23.0.0

=== debian/changelog ===
ros-rolling-rclcpp-components (23.0.0-1jammy) jammy; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-components (22.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-components (22.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclcpp-components (22.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclcpp-components (21.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-components (21.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-components (21.1.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclcpp-components (21.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-components (21.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-components (20.0.0-1jammy) jammy; urgency=high

  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-components (19.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rclcpp-components (19.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-components (19.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-components (19.0.0-1jammy) jammy; urgency=high

  * Improve component_manager_isolated shutdown (#2085 <https://github.com/ros2/rclcpp/issues/2085>)
  * Contributors: Michael Carroll

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-rolling-rclcpp-components (18.0.0-1jammy) jammy; urgency=high

  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 29 Dec 2022 00:00:00 -0000

ros-rolling-rclcpp-components (17.1.0-1jammy) jammy; urgency=high

  * use unique ptr and remove unuseful container (#2013 <https://github.com/ros2/rclcpp/issues/2013>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rclcpp-components (17.0.0-1jammy) jammy; urgency=high

  * Revert "Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)" (#1956 <https://github.com/ros2/rclcpp/issues/1956>)
  * Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)
  * Contributors: Hubert Liberacki, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rclcpp-components (16.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rclcpp-components (16.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-components (16.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-components (16.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-components (15.4.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-components (15.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-components (15.2.0-1jammy) jammy; urgency=high

  * Select executor in node registration (#1898 <https://github.com/ros2/rclcpp/issues/1898>)
  * Fix rosdoc2 issues in rclcpp (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Fix bugprone-exception-escape in node_main.cpp.in (#1895 <https://github.com/ros2/rclcpp/issues/1895>)
  * Contributors: Alberto Soragna, Chris Lalancette, Hirokazu Ishida

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-components (15.1.0-1jammy) jammy; urgency=high

  * small improvements to node_main.cpp.in
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Use spin() in component_manager_isolated.hpp (#1881 <https://github.com/ros2/rclcpp/issues/1881>)
  * add use_global_arguments for node options of component nodes (#1776 <https://github.com/ros2/rclcpp/issues/1776>)
  * Contributors: Alberto Soragna, Shane Loretz, gezp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-components (15.0.0-1jammy) jammy; urgency=high

  * Add rclcpp_components::component (#1855 <https://github.com/ros2/rclcpp/issues/1855>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rclcpp-components (14.1.0-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-rclcpp-components
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-google-benchmark <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-launch-testing <!nocheck>, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-std-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-components
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Package containing tools for dynamically loadable components

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
